<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: _AudiomanagerCommandinterfaceSkeletonPrivate Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('struct___audiomanager_commandinterface_skeleton_private.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_AudiomanagerCommandinterfaceSkeletonPrivate Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abb2dc271fbd9468da54de8f76787fed5"><td class="memItemLeft" align="right" valign="top">GValue *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#abb2dc271fbd9468da54de8f76787fed5">properties</a></td></tr>
<tr class="separator:abb2dc271fbd9468da54de8f76787fed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38071a4966a37fc4972f0f30343d5fa1"><td class="memItemLeft" align="right" valign="top">GList *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#a38071a4966a37fc4972f0f30343d5fa1">changed_properties</a></td></tr>
<tr class="separator:a38071a4966a37fc4972f0f30343d5fa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b5a5461b5260e8075d53917e93103c0"><td class="memItemLeft" align="right" valign="top">GSource *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#a4b5a5461b5260e8075d53917e93103c0">changed_properties_idle_source</a></td></tr>
<tr class="separator:a4b5a5461b5260e8075d53917e93103c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe55dcbd10b2954803ae8083f124e17"><td class="memItemLeft" align="right" valign="top">GMainContext *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#aafe55dcbd10b2954803ae8083f124e17">context</a></td></tr>
<tr class="separator:aafe55dcbd10b2954803ae8083f124e17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b86caa4a8597142bfa054bbc7267128"><td class="memItemLeft" align="right" valign="top">GMutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#a2b86caa4a8597142bfa054bbc7267128">lock</a></td></tr>
<tr class="separator:a2b86caa4a8597142bfa054bbc7267128"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>AudiomanagerCommandinterfaceSkeleton:</p>
<p>The <a class="el" href="audio__manager__interface_8h.html#a6d4dc4cce130be2112167a800f2d62e7">AudiomanagerCommandinterfaceSkeleton</a> structure contains only private data and should only be accessed using the provided API. AudiomanagerCommandinterfaceSkeletonClass: : The parent class.</p>
<p>Class structure for <a class="el" href="audio__manager__interface_8h.html#a6d4dc4cce130be2112167a800f2d62e7">AudiomanagerCommandinterfaceSkeleton</a>. </p>

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8c_source.html#l02501">2501</a> of file <a class="el" href="audio__manager__interface_8c_source.html">audio_manager_interface.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a38071a4966a37fc4972f0f30343d5fa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38071a4966a37fc4972f0f30343d5fa1">&#9670;&nbsp;</a></span>changed_properties</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GList* _AudiomanagerCommandinterfaceSkeletonPrivate::changed_properties</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8c_source.html#l02504">2504</a> of file <a class="el" href="audio__manager__interface_8c_source.html">audio_manager_interface.c</a>.</p>

</div>
</div>
<a id="a4b5a5461b5260e8075d53917e93103c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b5a5461b5260e8075d53917e93103c0">&#9670;&nbsp;</a></span>changed_properties_idle_source</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GSource* _AudiomanagerCommandinterfaceSkeletonPrivate::changed_properties_idle_source</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8c_source.html#l02505">2505</a> of file <a class="el" href="audio__manager__interface_8c_source.html">audio_manager_interface.c</a>.</p>

</div>
</div>
<a id="aafe55dcbd10b2954803ae8083f124e17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafe55dcbd10b2954803ae8083f124e17">&#9670;&nbsp;</a></span>context</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GMainContext* _AudiomanagerCommandinterfaceSkeletonPrivate::context</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8c_source.html#l02506">2506</a> of file <a class="el" href="audio__manager__interface_8c_source.html">audio_manager_interface.c</a>.</p>

</div>
</div>
<a id="a2b86caa4a8597142bfa054bbc7267128"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b86caa4a8597142bfa054bbc7267128">&#9670;&nbsp;</a></span>lock</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GMutex _AudiomanagerCommandinterfaceSkeletonPrivate::lock</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8c_source.html#l02507">2507</a> of file <a class="el" href="audio__manager__interface_8c_source.html">audio_manager_interface.c</a>.</p>

</div>
</div>
<a id="abb2dc271fbd9468da54de8f76787fed5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb2dc271fbd9468da54de8f76787fed5">&#9670;&nbsp;</a></span>properties</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GValue* _AudiomanagerCommandinterfaceSkeletonPrivate::properties</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8c_source.html#l02503">2503</a> of file <a class="el" href="audio__manager__interface_8c_source.html">audio_manager_interface.c</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>R:/SoundManagerBinding/src/dbus/<a class="el" href="audio__manager__interface_8c_source.html">audio_manager_interface.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html">_AudiomanagerCommandinterfaceSkeletonPrivate</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
